jvx.loader

## Class PgMacroPatch

- java.lang.Object
- - jv.object.PsObject
  - - jvx.loader.PgMacroPatch

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PgMacroPatch
      extends PsObject

  Macro patch obtained from reading a build file '*.bd' through PgBdLoader. Container class describes a macro patch, an application is responsible to generate a geometry, like a triangulation, out of a macro patch.

  Each macro patch may be bounded by simple straight lines or be a curve with sophisticated boundary constraints to be used in calculus of variations. See description of the file format '*.bd' for more details.

  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    28.08.99 revised (kp) Name changed from PgBuildPatch to PgMacroPatch.
    00.00.98 created (kp)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgMacroPatch(int aDim)` Constructs a macro patch with given dimension of ambient space.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PgElementSet` | `buildElementSet(PgElementSet geom)` Build an element set from the information of this macro patch.
    `int` | `getBndType()`
    `int` | `getDimVertices()` Get dimension of vertices.
    `int` | `getNumVertices()` Get dimension of macro vertices.
    `int` | `getOrientation()`
    `void` | `init()` If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
    `PgBndConstraint` | `makeBndConstraint(PgBndConstraint aBndConstraint, int anInd)` Compute the constraints of the boundary polygon with index anInd.
    `PgPolygon` | `makePolygon(PgPolygon aPolygon, int anInd)` Compute the vertices of the boundary polygon with index anInd.
    `void` | `setBndType(int aNum)`
    `void` | `setNumVertices(int aNum)` Set dimension of macro vertices.
    `void` | `setOrientation(int aNum)`
    `void` | `setVertex(PdVector[] vertex)` Set reference to array of macro vertices.
    `void` | `setVertexType(PiVector[] vertexType)`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PgMacroPatch

          public PgMacroPatch(int aDim)

      Constructs a macro patch with given dimension of ambient space.

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsObject`
      If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
      Overrides:
        `init` in class `PsObject`

    - #### getDimVertices

          public int getDimVertices()

      Get dimension of vertices.

    - #### getNumVertices

          public int getNumVertices()

      Get dimension of macro vertices.

    - #### setNumVertices

          public void setNumVertices(int aNum)

      Set dimension of macro vertices.

    - #### getBndType

          public int getBndType()

    - #### setBndType

          public void setBndType(int aNum)

    - #### getOrientation

          public int getOrientation()

    - #### setOrientation

          public void setOrientation(int aNum)

    - #### setVertexType

          public void setVertexType(PiVector[] vertexType)

    - #### setVertex

          public void setVertex(PdVector[] vertex)

      Set reference to array of macro vertices.

    - #### makePolygon

          public PgPolygon makePolygon(PgPolygon aPolygon,
                                       int anInd)

      Compute the vertices of the boundary polygon with index anInd. Use information in PgMacroPatch available from *.bd files.
      Author:
        Konrad Polthier
      Version:
        06.12.97 revised (kp) 06.12.97 created (kp)

    - #### makeBndConstraint

          public PgBndConstraint makeBndConstraint(PgBndConstraint aBndConstraint,
                                                   int anInd)

      Compute the constraints of the boundary polygon with index anInd. Use information in PgMacroPatch available from *.bd files.
      Parameters:
        `aBndConstraint` - constraint which is made, created if argument is null
        `anInd` - index of edge in current macro patch
      Author:
        Konrad Polthier
      Version:
        21.12.97 revised (kp) 21.12.97 created (kp)

    - #### buildElementSet

          public PgElementSet buildElementSet(PgElementSet geom)

      Build an element set from the information of this macro patch. Surface boundary is created with constraints.

      If container element set is null, then a new element set is created.

      Parameters:
        `geom` - initialized element set, created if argument is null.
      Author:
        Konrad Polthier
      Version:
        14.05.06 revised (kp) No longer issues a notification if element set is created.
        07.12.97 created (kp)

"

The software JavaView? is copyright protected. All Rights Reserved.
"